Launcher | Linux version fails to start
Closed, FinishedPublic

Description

When starting the linux version, it fails to load past the login screen under the following conditions:

  • 64bit
    • on every attempt. deleting ~/StarMade/Launcher does not affect this behaviour. Process does not stop.
  • 32bit
    • on every attempt, except right after the deletion of ~/StarMade/Launcher. Process does not stop. In certain cases window loads for a splitsecond only to turn completely white and not respond anymore.

In all cases the last lines of the console output are:

[5874:1005/151950:INFO:renderer_main.cc(200)] Renderer process started
Setting breakpad minidump AppID = 244770
Steam_SetMinidumpSteamID:  Caching Steam ID:  76561198092235385 [API loaded no]
[5849:1005/151951:ERROR:gles2_cmd_decoder.cc(11539)] [GroupMarkerNotSet(crbug.com/242999)!:68E4600E]GL ERROR :GL_INVALID_OPERATION : glTexStorage2DEXT: <- error from previous GL command
[5874:0100/000000:ERROR:raw_channel.cc(341)] Invalid number of platform handles received
[5874:0100/000000:ERROR:channel.cc(307)] RawChannel read error (received bad message)
[5825:1005/151952:ERROR:channel.cc(300)] RawChannel read error (connection broken)

In case the login was not remembered, these 2 lines are appended:

[6111:1005/154335:WARNING:channel.cc(549)] Failed to send message to ack remove remote endpoint (local ID 1, remote ID 1)
[6111:1005/154335:WARNING:channel.cc(549)] Failed to send message to ack remove remote endpoint (local ID 2147483648, remote ID 2)

Details

Testing Results
Affected Gamemode(s)
none/unspecified
Reproducible
Yes
Last tested (version)
v.0.0.4
Issue Type
Bug
Category
Launcher
First occurrence (version)
v.0.0.2
Hardware/Software/System
OS-Specific
Linux Only
Hardware-Specific
No
Video Card Vendor
uncertain
Tester information (Internal use only)

Cannot reproduce anymore on 64bit. 32bit could not be tested due to lack of a build.
Testing 32bit once a build is available.

Megacrafter127 shifted this object from the S1 Public space to the Restricted Space space.
Megacrafter127 changed Category from none/unspecified to Launcher.
Megacrafter127 set First occurrence (version) to v.0.0.2.
Megacrafter127 changed Reproducible from uncertain to Yes.
Megacrafter127 changed OS-Specific from No to Linux Only.
Megacrafter127 edited Serverconfig (server.cfg). (Show Details)
Megacrafter127 edited Clientconfig (settings.cfg). (Show Details)
Megacrafter127 added a subscriber: Megacrafter127.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptOct 5 2015, 1:48 PM
lancake claimed this task.Oct 5 2015, 6:46 PM
lancake added a subscriber: lancake.

-Validated-

lancake triaged this task as "Release Blocker" priority.Oct 5 2015, 6:47 PM
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake set Issue Type to Bug.
lancake set Affected Gamemode(s) to none/unspecified.
lancake set Last tested (version) to v.0.0.2.
lancake set Hardware-Specific to No.
lancake set Video Card Vendor to uncertain.
Restricted Application added a subscriber: AndyP. · View Herald TranscriptOct 5 2015, 6:47 PM
lancake removed lancake as the assignee of this task.
AndyP changed the task status from "Open" to "In Queue (Launcher)".Oct 5 2015, 7:45 PM
AndyP added a comment.Oct 5 2015, 7:46 PM

Can't really retest it now, but the fatal startup status of this, should be taken care of.

wedtm claimed this task.Oct 25 2015, 7:12 PM
wedtm added a comment.Oct 26 2015, 4:33 AM

The newest build at http://sm-launcher-test.s3.amazonaws.com/index.html?prefix=jobs/Launcher/58/ has fixed this on Ubuntu 15.04. Please verify.

wedtm changed the task status from "In Queue (Launcher)" to "Resolved".Oct 26 2015, 4:33 AM
Megacrafter127 changed the task status from "Resolved" to "In Queue (Launcher)".Oct 26 2015, 6:13 AM

-QA Testing-
Upon first launch, launcher displays 'Launcher Updating' message, then exits, starting a new instance of itself under a new PID. The new instance(and all consecutive launches) still show the same behaviour on Ubuntu 14.04 32bit. I can understand not supporting too old versions, but the latest LTS version should still be supported. Attached full logfile:

[3643:1026/065510:ERROR:browser_main_loop.cc(173)] Running without the SUID sandbox! See https://code.google.com/p/chromium/wiki/LinuxSUIDSandboxDevelopment for more information on developing with the sandbox on.
[3678:1026/065510:INFO:renderer_main.cc(200)] Renderer process started
[3666:1026/065511:ERROR:gles2_cmd_decoder.cc(11539)] [GroupMarkerNotSet(crbug.com/242999)!:6858940D]GL ERROR :GL_INVALID_OPERATION : glTexStorage2DEXT: <- error from previous GL command
[3693:1026/065511:INFO:renderer_main.cc(200)] Renderer process started
[3678:1026/065511:WARNING:channel.cc(549)] Failed to send message to ack remove remote endpoint (local ID 1, remote ID 1)
[3678:1026/065511:WARNING:channel.cc(549)] Failed to send message to ack remove remote endpoint (local ID 2147483648, remote ID 2)
[3643:1026/065511:ERROR:channel.cc(300)] RawChannel read error (connection broken)
Setting breakpad minidump AppID = 244770
Steam_SetMinidumpSteamID:  Caching Steam ID:  76561198092235385 [API loaded no]
[3666:1026/065511:ERROR:gles2_cmd_decoder.cc(11539)] [GroupMarkerNotSet(crbug.com/242999)!:685C940D]GL ERROR :GL_INVALID_OPERATION : glTexStorage2DEXT: <- error from previous GL command
[3716:1026/065512:INFO:renderer_main.cc(200)] Renderer process started
[3666:1026/065512:ERROR:gles2_cmd_decoder.cc(11539)] [GroupMarkerNotSet(crbug.com/242999)!:686C940D]GL ERROR :GL_INVALID_OPERATION : glTexStorage2DEXT: <- error from previous GL command
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero C-/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero C-/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth-VI/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth-VI/DATA/Isanth-VI.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth-VI/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth-VI/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bm/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bm/DATA/Isanth Type-Zero Bm.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bm/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bm/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mc/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mc/DATA/Isanth Type-Zero Mc.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mc/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mc/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cm/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cm/DATA/Isanth Type-Zero Cm.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cm/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cm/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cc/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cc/DATA/Isanth Type-Zero Cc.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cc/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cc/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mp/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mp/DATA/Isanth Type-Zero Mp.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mp/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mp/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bb/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bb/DATA/Isanth Type-Zero Bb.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bb/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bb/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mb/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mb/DATA/Isanth Type-Zero Mb.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mb/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mb/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bc/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bc/DATA/Isanth Type-Zero Bc.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bc/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bc/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3693:0100/000000:ERROR:raw_channel.cc(341)] Invalid number of platform handles received
[3693:0100/000000:ERROR:channel.cc(307)] RawChannel read error (received bad message)
[3643:1026/065513:ERROR:channel.cc(300)] RawChannel read error (connection broken)
[3643:1026/065513:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cb/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-ia32/resources/app.asar/lib/services/Checksum.js (35)
[3643:1026/065513:WARNING:channel.cc(549)] Failed to send message to remove remote endpoint (local ID 5, remote ID 2147483652)
[3643:1026/065513:WARNING:channel.cc(549)] Failed to send message to remove remote endpoint (local ID 6, remote ID 2147483653)
[3643:1026/065513:WARNING:channel.cc(549)] Failed to send message to remove remote endpoint (local ID 8, remote ID 2147483655)
[3645:1026/065522:WARNING:channel.cc(549)] Failed to send message to ack remove remote endpoint (local ID 1, remote ID 1)
[3645:1026/065522:WARNING:channel.cc(549)] Failed to send message to ack remove remote endpoint (local ID 2147483648, remote ID 2)

Here the full log from launching on Ubuntu 12.04. 64bit. Same behaviour as the 32bit version above:

[7851:1026/070526:ERROR:browser_main_loop.cc(173)] Running without the SUID sandbox! See https://code.google.com/p/chromium/wiki/LinuxSUIDSandboxDevelopment for more information on developing with the sandbox on.
[7883:1026/070526:INFO:renderer_main.cc(200)] Renderer process started
[7903:1026/070527:INFO:renderer_main.cc(200)] Renderer process started
[S_API FAIL] SteamAPI_Init() failed; SteamAPI_IsSteamRunning() failed.
[S_API FAIL] SteamAPI_Init() failed; unable to locate a running instance of Steam, or a local steamclient.so.
[7921:1026/070528:INFO:renderer_main.cc(200)] Renderer process started
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero C-/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero C-/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth-VI/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth-VI/DATA/Isanth-VI.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth-VI/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth-VI/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bm/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bm/DATA/Isanth Type-Zero Bm.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bm/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bm/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mc/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mc/DATA/Isanth Type-Zero Mc.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mc/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mc/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cm/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cm/DATA/Isanth Type-Zero Cm.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cm/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cm/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cc/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cc/DATA/Isanth Type-Zero Cc.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cc/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cc/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mp/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mp/DATA/Isanth Type-Zero Mp.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mp/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mp/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bb/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bb/DATA/Isanth Type-Zero Bb.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bb/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bb/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mb/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mb/DATA/Isanth Type-Zero Mb.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mb/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Mb/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bc/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bc/DATA/Isanth Type-Zero Bc.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bc/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Bc/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cb/header.smbph does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cb/DATA/Isanth Type-Zero Cb.0.0.0.smd2 does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cb/logic.smbpl does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./blueprints-default/Isanth Type-Zero Cb/meta.smbpm does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7851:1026/070530:INFO:CONSOLE(35)] "./StarMade-dedicated-server-linux.sh does not exist", source: /home/til/Downloads/starmade-launcher-linux-x64/resources/app.asar/lib/services/Checksum.js (35)
[7903:0100/000000:ERROR:raw_channel.cc(341)] Invalid number of platform handles received
[7903:0100/000000:ERROR:channel.cc(307)] RawChannel read error (received bad message)
[7851:1026/070531:ERROR:channel.cc(300)] RawChannel read error (connection broken)
[7851:1026/070531:WARNING:ipc_message_attachment_set.cc(37)] MessageAttachmentSet destroyed with unconsumed descriptors: 0/1
[7853:1026/070542:WARNING:channel.cc(549)] Failed to send message to ack remove remote endpoint (local ID 1, remote ID 1)
[7853:1026/070542:WARNING:channel.cc(549)] Failed to send message to ack remove remote endpoint (local ID 2147483648, remote ID 2)

In both cases the launcher didn't exit[except after the launcher updating dialog], and I manually cancelled the process 1 minutes after the CPU usage dropped to 0, no window/dialog opened, and no new message was displayed in STDERR.

wedtm added a comment.Oct 26 2015, 8:30 PM

What version of the launcher are you using? This is showing calls to the Steam client libraries, which are not present in the newest build.

AndyP reassigned this task from wedtm to Megacrafter127.Oct 26 2015, 10:11 PM
AndyP shifted this object from the Restricted Space space to the S5 Launcher space.Oct 26 2015, 10:17 PM

"When starting the linux version, it fails to load past the login screen under the following conditions:

64bit
on every attempt. deleting ~/StarMade/Launcher does not affect this behaviour. Process does not stop.
32bit
on every attempt, except right after the deletion of ~/StarMade/Launcher. Process does not stop. In certain cases window loads for a splitsecond only to turn completely white and not respond anymore."

You should not delete files that are running active processes. This causes OS instabilities as you described above. Use of Process "Kill" Command is recommended. Obtain the PID using "ps aux" (but you knew that already right?)

"When starting the linux version, it fails to load past the login screen under the following conditions:

64bit
on every attempt. deleting ~/StarMade/Launcher does not affect this behaviour. Process does not stop.
32bit
on every attempt, except right after the deletion of ~/StarMade/Launcher. Process does not stop. In certain cases window loads for a splitsecond only to turn completely white and not respond anymore."

You should not delete files that are running active processes. This causes OS instabilities as you described above. Use of Process "Kill" Command is recommended. Obtain the PID using "ps aux" (but you knew that already right?)

As I started the launcher from console to begin with, I could kill its process by pressing ctrl+c at any moment. Where else would I have gotten the logs from, which aren't generated by the launcher normally.
The files were erased in between tests, as they are the cache of the launcher.
The process was deemed 'unresponsive' when at least 2 minutes had elapsed since the last log entry, and when at least 2 minutes had elapsed since the last window or dialog associated with the process was closed. If there is noticable traffic on the network, the process is not deemed 'unresponsive' in any case.
As for erasing files while a process is using them: usually, the process puts a lock on files it uses, resulting in no other process being able to access the file until the lock is removed. The exception being readonly locks, which allow placing other readonly locks.

calani lowered the priority of this task from "Release Blocker" to "Urgent".
calani raised the priority of this task from "Urgent" to "Release Blocker".Jan 13 2016, 4:17 AM
calani added a subscriber: calani.Jan 17 2016, 5:04 AM

I cannot duplicate this behavior in x64. Has the new launcher version resolved the issue?

My test environment:

  • OS: ubuntu 14.04 LTS x64
  • Launcher: v0.0.4
  • Starmade: v0.19549
Megacrafter127 changed the task status from "In Queue (Launcher)" to "Resolved".Jan 17 2016, 11:33 PM

Cannot reproduce anymore on 64bit. 32bit could not be tested due to lack of a build.
Testing 32bit once a build is available.

Megacrafter127 changed Last tested (version) from v.0.0.2 to v.0.0.4.Jan 17 2016, 11:33 PM
Megacrafter127 edited Tester information (Internal use only). (Show Details)
Megacrafter127 closed this task as "Closed".Jan 23 2016, 10:15 AM

-QA Testing-
Cannot reproduce anymore on both 32bit and 64bit, closing.

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptJan 23 2016, 10:15 AM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
INSULINt added a subscriber: INSULINt.EditedFeb 4 2016, 10:41 AM

I'm certainly not the most proficient at linux, but currently the beta launcher doesn't open properly in steam for me. I've reverified files, and made sure that my launch options are clear. The new launcher works if I run it directly from a terminal. Launching via steam results in a "starmade-launcher" program in memory with a size of 12MB, but nothing displayed and no other indications of it running besides steam picking up on it, and it being in the system monitor.

If you can tell me where logs might be, I'll post em.

EDIT: using Linux Mint 17.2 64bit Kernal 3.16.0-38-generic Nvidia drivers 340.96

Add Comment